---
# Action to perfom for the openvpn service
in_openvpn_action: "create" 

# Name of the proxy package
in_openvpn_package: openvpn

# Name of the proxy daemon
in_openvpn_daemon: openvpn

openvpn_config_file: "openvpn_{{ openvpn_proto }}_{{ openvpn_port }}"

# Ldap configuration
ldap:
  url: ldap://host.example.com
  anonymous_bind: false
  bind_dn: uid=Manager,ou=People,dc=example,dc=com
  bind_password: mysecretpassword
  tls_enable: false
  tls_ca_cert_file: "{{ openvpn_base_dir }}/auth/ca.pem"
  base_dn: ou=People,dc=example,dc=com
  search_filter: (&(uid=%u)(accountStatus=active))
  require_group: false
  group_base_dn: ou=Groups,dc=example,dc=com
  group_search_filter: (|(cn=developers)(cn=artists))
# verify_client_cert is in the readme, but not set here
# because the task checks for the _existence_ of the default
# future change will set it

# Logrotate configuration
openvpn_log_dir: /var/log
openvpn_log_file: openvpn.log
openvpn_logrotate_config: |
  rotate 4
  weekly
  missingok
  notifempty
  sharedscripts
  copytruncate
  delaycompress


# Defaults for openvpn

# Networking
openvpn_client_register_dns: true
openvpn_client_to_client: false
openvpn_custom_dns: []
openvpn_dns_servers: []
openvpn_dualstack: true
openvpn_keepalive_ping: 5
openvpn_keepalive_timeout: 30
openvpn_port: 1194
openvpn_proto: udp
openvpn_redirect_gateway: true
openvpn_resolv_retry: 5
openvpn_server_hostname: "{{ inventory_hostname }}"
openvpn_server_netmask: 255.255.255.0
openvpn_server_network: 10.9.0.0
openvpn_set_dns: true
openvpn_tun_mtu:

# Security
openvpn_auth_alg: SHA256
openvpn_cipher: AES-256-CBC
openvpn_duplicate_cn: false
openvpn_rsa_bits: 2048
openvpn_use_crl: false
openvpn_use_hardened_tls: true
openvpn_use_modern_tls: true
openvpn_use_pregenerated_dh_params: false
openvpn_verify_cn: false
tls_auth_required: true
openvpn_script_security: 1

# Operations
openvpn_addl_client_options: []
openvpn_addl_server_options: []
openvpn_compression: lzo
openvpn_enable_management: false
openvpn_ifconfig_pool_persist_file: ipp.txt
openvpn_management_bind: /var/run/openvpn/management unix
openvpn_management_client_user: root
openvpn_push: []
openvpn_service_group: nogroup
openvpn_service_user: nobody
openvpn_status_version: 1


# Client config - settings the server will push
openvpn_client_config: false
openvpn_client_config_dir: ccd
openvpn_client_config_present: {}
# Example:
# openvpn_client_config_present:
#   client1:
#     - ifconfig-push 10.0.0.2 255.255.255.0
#     - push "route 192.168.1.0 255.255.255.0"
#     - push "dhcp-option DOMAIN example.com"
#     - iroute 192.168.4.0 255.255.255.0
#
# OR
#
# openvpn_client_config_present:
#   client1:
#     - ifconfig-push 10.0.0.2 255.255.255.0
#     - push "route 192.168.1.0 255.255.255.0"
#     - iroute 192.168.2.0 255.255.255.0
#     - iroute 192.168.4.0 255.255.255.0
openvpn_client_config_absent: []
# Example:
# openvpn_client_config_absent:
#   - client2
#   - client3

# Packaging defaults for kyl191.openvpn
epel_package_name: epel-release
iptables_persistent_package_name: iptables-persistent
iptables_services_package_name: iptables-services
openssl_package_name: openssl
openvpn_ldap_plugin_package_name: openvpn-auth-ldap
openvpn_package_name: "{{ in_openvpn_package }}"
python_firewall_package_name: python-firewall"


# Defaults for the role operation

clients: []

# Directories
openvpn_base_dir: /etc/openvpn
openvpn_key_dir: /etc/openvpn/keys
openvpn_ovpn_dir: "{{ openvpn_base_dir }}"

# Config fetch settings
openvpn_fetch_client_configs: true
openvpn_fetch_client_configs_dir: "~/openvpn"
openvpn_fetch_client_configs_suffix: ""

# Firewall
firewalld_default_interface_zone: public
iptables_service: iptables
manage_firewall_rules: true
openvpn_firewall: auto
openvpn_masquerade_not_snat: true

# Misc
ci_build: false
openvpn_client_config_no_log: true
openvpn_revoke_these_certs: []
openvpn_selinux_module: my-openvpn-server
openvpn_service_name: "{{ in_openvpn_daemon }}"
openvpn_sync_certs: false
openvpn_uninstall: false
openvpn_use_ldap: false
